#ifndef _CUSTOM_AWAY_MSG_EDITOR_H
#define _CUSTOM_AWAY_MSG_EDITOR_H

#include <Window.h>
#include <ScrollView.h>
#include <ListView.h>
#include <Box.h>
#include <TextControl.h>
#include <String.h>
#include "GenList.h"
#include "HTMLView.h"

class CustomAwayMsgView : public BView
{
	friend class CustomAwayMsgWindow;

	public:
		CustomAwayMsgView( BRect rect );
		
	private:
		HTMLView* textview;
		BScrollView* scroll;
 		BButton* btnSave;
		BButton* btnCancel;
};


class CustomAwayMsgWindow : public BWindow
{
	public:
		CustomAwayMsgWindow( BRect frame );
		~CustomAwayMsgWindow();

		virtual void MessageReceived(BMessage* message);
		virtual void DispatchMessage( BMessage* msg, BHandler* handler );	
		virtual	bool QuitRequested();

	private:
		bool Save();
	
		CustomAwayMsgView *genView;
		bool enterIsNewline;
		bool tabIsTab;
};

#endif
