#ifndef _PROFILE_EDITOR_H
#define _PROFILE_EDITOR_H

#include <Window.h>
#include <ScrollView.h>
#include <ListView.h>
#include <Box.h>
#include <TextControl.h>
#include <String.h>
#include "GenList.h"
#include "HTMLView.h"

class ProfileEditorView : public BView
{
	friend class ProfileEditorWindow;

	public:
		ProfileEditorView( BRect rect );
		
	private:
		HTMLView* textview;
		BScrollView* scroll;
 		BButton* btnSave;
		BButton* btnCancel;
};


class ProfileEditorWindow : public BWindow
{
	public:
		ProfileEditorWindow( BRect frame );
		~ProfileEditorWindow();

		virtual void MessageReceived(BMessage* message);
		virtual void DispatchMessage( BMessage* msg, BHandler* handler );	
		virtual	bool QuitRequested();

	private:
	
		void Save();
	
		ProfileEditorView *genView;
		bool enterIsNewline;
		bool tabIsTab;
};

#endif
